Contact Us | Site Map
Firebird is used by approximately 1 million of software developers worldwide. High compatibility with industry standards on many fronts makes Firebird the obvious choice for developing interoperable applications for homogeneous and hybrid environments.
Firebird 2.5.0
Press Release: English | Deutsch | Español | Polska | Việt | 日本語 | Română | Français

Brief description of new features


For more details about Firebird architectures please look at the Firebird 2.5 Architecture Comparison document.


Windows
Win32
Windows
Win64
Linux
Linux x86
Linux
Linux AMD64

MacOSX
solaris
Solaris
hp-ux
HP-UNIX

IMPORTANT: Note affecting all Linux Classic/Superсlassic builds
It has been found that V.2.5 Classic for Linux has problems with AST delivery if used with glibc 2.5. With glibc 2.7 it works properly. The situation with glibc 2.6 is unknown for now.
If your glibc version is lower than v.2.7, it must be upgraded before using Firebird 2.5 Classic/Superсlassic.

Release Date File Name Size Description
Sources
October 04, 2010 Firebird-2.5.0.26074-0.tar.bz2 13 MB Compressed tarball
Windows Win32
October 04, 2010 Firebird-2.5.0.26074_1_Win32.exe 6.4 MB Windows executable installer for full Superclassic/Classic or Superserver, recommended for first-time users
October 04, 2010 Firebird-2.5.0.26074-0_Win32.zip 9 MB Zip kit for manual/custom installs of Superclassic/Classic or Superserver
October 04, 2010 Firebird-2.5.0.26074-0_Win32_embed.zip 4.1 MB Embedded, separate download, zip kit. Custom installation required, read the Guide!
Debug Kits (Binary + PDB components)
October 04, 2010 Firebird-2.5.0.26074_1_Win32_pdb.exe 10 MB Full Superclassic/Classic or Superserver, installer kit
October 04, 2010 Firebird-2.5.0.26074-0_Win32_pdb.zip 15.1 MB Full Superclassic/Classic or Superserver, zip kit
October 04, 2010 Firebird-2.5.0.26074-0_Win32_embed_pdb.zip 6.8 MB Embedded, separate download, zip kit
Windows Win64
October 04, 2010 Firebird-2.5.0.26074_1_x64.exe 9.2 MB Windows executable installer for full Superclassic/Classic or Superserver, recommended for first-time users
October 04, 2010 Firebird-2.5.0.26074-0_x64.zip 10 MB Zip kit for manual/custom installs of Superclassic/Classic or Superserver
October 04, 2010 Firebird-2.5.0.26074-0_x64_embed.zip 4.6 MB Embedded, separate download, zip kit. Custom installation required, read the Guide!
Debug Kits (Binary + PDB components)
October 04, 2010 Firebird-2.5.0.26074_1_x64_pdb.exe 13.2 MB Full Superclassic/Classic or Superserver, installer kit
October 04, 2010 Firebird-2.5.0.26074-0_x64_pdb.zip 16.3 MB Full Superclassic/Classic or Superserver, zip kit
October 04, 2010 Firebird-2.5.0.26074-0_x64_embed_pdb.zip 7.4 MB Embedded, separate download, zip kit
Linux Linux x86
Installation Notes for Superclassic
October 04, 2010 FirebirdCS-2.5.0.26074-0.i686.rpm 6 MB Superclassic/Classic server, RPM kit
October 04, 2010 FirebirdCS-2.5.0.26074-0.i686.tar.gz 6 MB Superclassic/Classic server, compressed tarball
October 04, 2010 FirebirdCS-debuginfo-2.5.0.26074-0.i686.tar.gz 29 MB Debug Build, Superclassic/Classic server, compressed tarball
32-bit Superserver for Linux
NOTE: There are no non-NPTL builds. If you are still using a 2003 or earlier Linux distribution that does not support the New POSIX Threading Model then, to use any Firebird version higher than v.2.1.2, you will need to upgrade your OS.
October 04, 2010 FirebirdSS-2.5.0.26074-0.i686.rpm 6 MB Superserver, RPM kit
October 04, 2010 FirebirdSS-2.5.0.26074-0.i686.tar.gz 6 MB Superserver, compressed tarball
October 04, 2010 FirebirdSS-debuginfo-2.5.0.26074-0.i686.tar.gz 29 MB Debug Build, Superserver, compressed tarball
Linux Linux AMD64
Installation Notes for Superclassic
October 04, 2010 FirebirdCS-2.5.0.26074-0.amd64.rpm 6 MB Superclassic/Classic server, RPM kit
October 04, 2010 FirebirdCS-2.5.0.26074-0.amd64.tar.gz 6 MB Superclassic/Classic server, compressed tarball
October 04, 2010 FirebirdCS-debuginfo-2.5.0.26074-0.amd64.tar.gz 28 MB Debug Build, Superclassic/Classic server, compressed tarball
October 04, 2010 FirebirdSS-2.5.0.26074-0.amd64.rpm 6 MB Superserver, RPM kit
October 04, 2010 FirebirdSS-2.5.0.26074-0.amd64.tar.gz 6 MB Superserver, compressed tarball
October 04, 2010 FirebirdSS-debuginfo-2.5.0.26074-0.amd64.tar.gz 29 MB Debug Build, Superserver, compressed tarball
MacOSX
NOTE: To make the new engine work properly under multi-threaded conditions we had to use Grand Central Dispatch, which was first released in MacOSX 10.6 (Snow Leopard). MacOSX users should be aware that Firebird 2.5 will run only on MacOSX 10.6 or higher versions. If you want to use an earlier version of OSX you will need to use an earlier version of Firebird.
October 06, 2010 FirebirdCS-2.5.0-26074-i386.pkg.zip 11.7 MB Intel x86 for MacOSX 10.6+, 32-bit Superclassic/Classic package, compressed
October 06, 2010 FirebirdSS-2.5.0-26074-i386.pkg.zip 11.8 MB Intel x86 for MacOSX 10.6+, 32-bit SuperServer package, compressed
September 09, 2011 FirebirdCS-2.5.0-26075-x86_64.pkg.zip 13.4 MB Intel x64 for MacOSX 10.6+, 64-bit Superclassic/Classic package, compressed
September 09, 2011 FirebirdSS-2.5.0-26075-x86_64.pkg.zip 13.1 MB Intel x64 for MacOSX 10.6+, 64-bit SuperServer package, compressed
"lipo" are the 64-bit Firebird Server with client libs as fat lib (32 and 64 bits). See here for examples.
September 09, 2011 FirebirdCS-2.5.0-26075-lipo-x86_64.pkg.zip 20.6 MB Intel x64 for MacOSX 10.6+, 64-bit SuperClassic/Classic package with fat client libs, compressed
September 09, 2011 FirebirdSS-2.5.0-26075-lipo-x86_64.pkg.zip 16.6 MB Intel x64 for MacOSX 10.6+, 64-bit SuperServer package with fat client libs, compressed
solaris Solaris Sparc64 only
  NOT YET AVAILABLE    
hp-ux HP-UX Classic only
  NOT YET AVAILABLE    

Join Firebird!
RSS Newsletter
Home About Firebird Documentation Downloads Community Support Development Case Studies Back to Top
This site and the pages contained within are Copyright © 2000-2017, Firebird Project. Firebird® is a registered trademark of Firebird Foundation Incorporated. Developed by DQ Team.